{% extends "base.html" %}

{% block content %}
    <header>
      <nav>
        <ul>
          {% if user.is_authenticated %}
          <li><a href="{% url "list_categories" %}">Expense category list</a></li>
          <li><a href="{% url "create_category" %}">Create Category</a></li>
          <li><a href="{% url "list_account" %}">Account list</a></li>
          <li><a href="{% url "create_account" %}">Create Account</a></li>
          <li><a href="{% url "create_receipt" %}">Create Receipt</a></li>
          <li><a href="{% url "logout" %}">Logout</a></li>
          {% else %}
          <li><a href="{% url "signup" %}">Sigm Up</a></li>
          <li><a href="{% url "login" %}">Login</a></li>
          {% endif %}
        </ul>
      </nav>
    </header>
    <main>
      <h1>My Receipts</h1>
      <table>
        <thead>
          <td>Vendor</td>
          <td>Total</td>
          <td>Tax</td>
          <td>Date</td>
          <td>Category</td>
          <td>Account</td>
        </thead>
        <tbody>
          {% for item in receipt_list %}
          <tr>
            <td>{{item.vendor}}</td>
            <td>{{item.total}}</td>
            <td>{{item.tax}}</td>
            <td>{{item.date|date:"m-d-Y"}}</td>
            <td>{{item.category}}</td>
            <td>{{item.account}}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </main>
{% endblock %}
